# Generated by superflore -- DO NOT EDIT
#
# Copyright Open Source Robotics Foundation

inherit ros_distro_melodic
inherit ros_superflore_generated

DESCRIPTION = "Cartographer is a system that provides real-time simultaneous localization     and mapping (SLAM) in 2D and 3D across multiple platforms and sensor     configurations. This package provides Cartographer's ROS integration."
AUTHOR = "The Cartographer Authors <cartographer-owners@googlegroups.com>"
ROS_AUTHOR = "The Cartographer Authors <google-cartographer@googlegroups.com>"
HOMEPAGE = "https://github.com/googlecartographer/cartographer_ros"
SECTION = "devel"
# Original license in package.xml, joined with "&" when multiple license tags were used:
#         "Apache 2.0"
LICENSE = "Apache-2.0"
LIC_FILES_CHKSUM = "file://package.xml;beginline=9;endline=9;md5=b73cebba72f83c5afebf178817283e37"

ROS_CN = "cartographer_ros"
ROS_BPN = "cartographer_ros"

ROS_BUILD_DEPENDS = " \
    ${PYTHON_PN}-sphinx \
    cartographer \
    cartographer-ros-msgs \
    eigen-conversions \
    geometry-msgs \
    gflags \
    glog \
    gtest \
    message-runtime \
    nav-msgs \
    pcl \
    pcl-conversions \
    protobuf \
    robot-state-publisher \
    rosbag \
    roscpp \
    roslaunch \
    roslib \
    sensor-msgs \
    std-msgs \
    tf2 \
    tf2-eigen \
    tf2-ros \
    urdf \
    visualization-msgs \
"

ROS_BUILDTOOL_DEPENDS = " \
    catkin-native \
"

ROS_EXPORT_DEPENDS = " \
    cartographer \
    cartographer-ros-msgs \
    eigen-conversions \
    geometry-msgs \
    gflags \
    glog \
    message-runtime \
    nav-msgs \
    pcl \
    pcl-conversions \
    robot-state-publisher \
    rosbag \
    roscpp \
    roslaunch \
    roslib \
    sensor-msgs \
    std-msgs \
    tf2 \
    tf2-eigen \
    tf2-ros \
    urdf \
    visualization-msgs \
"

ROS_BUILDTOOL_EXPORT_DEPENDS = ""

ROS_EXEC_DEPENDS = " \
    cartographer \
    cartographer-ros-msgs \
    eigen-conversions \
    geometry-msgs \
    gflags \
    glog \
    message-runtime \
    nav-msgs \
    pcl \
    pcl-conversions \
    robot-state-publisher \
    rosbag \
    roscpp \
    roslaunch \
    roslib \
    sensor-msgs \
    std-msgs \
    tf2 \
    tf2-eigen \
    tf2-ros \
    urdf \
    visualization-msgs \
"

# Currently informational only -- see http://www.ros.org/reps/rep-0149.html#dependency-tags.
ROS_TEST_DEPENDS = " \
    rosunit \
"

DEPENDS = "${ROS_BUILD_DEPENDS} ${ROS_BUILDTOOL_DEPENDS}"
# Bitbake doesn't support the "export" concept, so build them as if we needed them to build this package (even though we actually
# don't) so that they're guaranteed to have been staged should this package appear in another's DEPENDS.
DEPENDS += "${ROS_EXPORT_DEPENDS} ${ROS_BUILDTOOL_EXPORT_DEPENDS}"

RDEPENDS:${PN} += "${ROS_EXEC_DEPENDS}"

# matches with: https://github.com/ros-gbp/cartographer_ros-release/archive/release/melodic/cartographer_ros/1.0.0-1.tar.gz
ROS_BRANCH ?= "branch=release/melodic/cartographer_ros"
SRC_URI = "git://github.com/ros-gbp/cartographer_ros-release;${ROS_BRANCH};protocol=https"
SRCREV = "493d748d50abac952a223be2097462abb77f15ca"
S = "${WORKDIR}/git"

ROS_BUILD_TYPE = "catkin"

inherit ros_${ROS_BUILD_TYPE}
