# Generated by superflore -- DO NOT EDIT
#
# Copyright Open Source Robotics Foundation

inherit ros_distro_noetic
inherit ros_superflore_generated

DESCRIPTION = "navfn provides a fast interpolated navigation function that can be used to create plans for         a mobile base. The planner assumes a circular robot and operates on a costmap to find a         minimum cost plan from a start point to an end point in a grid. The navigation function is         computed with Dijkstra's algorithm, but support for an A* heuristic may also be added in the         near future. navfn also provides a ROS wrapper for the navfn planner that adheres to the         nav_core::BaseGlobalPlanner interface specified in <a href="http://wiki.ros.org/nav_core">nav_core</a>."
AUTHOR = "David V. Lu!! <davidvlu@gmail.com>"
ROS_AUTHOR = "Kurt Konolige"
HOMEPAGE = "http://wiki.ros.org/navfn"
SECTION = "devel"
LICENSE = "BSD"
LIC_FILES_CHKSUM = "file://package.xml;beginline=22;endline=22;md5=01c2bc31767ccb3a68e12f02612b2a97"

ROS_CN = "navigation"
ROS_BPN = "navfn"

ROS_BUILD_DEPENDS = " \
    ${ROS_UNRESOLVED_DEP-netpbm} \
    cmake-modules \
    costmap-2d \
    geometry-msgs \
    message-generation \
    nav-core \
    nav-msgs \
    pluginlib \
    rosconsole \
    roscpp \
    sensor-msgs \
    tf2-ros \
    visualization-msgs \
"

ROS_BUILDTOOL_DEPENDS = " \
    catkin-native \
"

ROS_EXPORT_DEPENDS = " \
    costmap-2d \
    geometry-msgs \
    nav-core \
    nav-msgs \
    pluginlib \
    rosconsole \
    roscpp \
    sensor-msgs \
    tf2-ros \
    visualization-msgs \
"

ROS_BUILDTOOL_EXPORT_DEPENDS = ""

ROS_EXEC_DEPENDS = " \
    costmap-2d \
    geometry-msgs \
    message-runtime \
    nav-core \
    nav-msgs \
    pluginlib \
    rosconsole \
    roscpp \
    sensor-msgs \
    tf2-ros \
    visualization-msgs \
"

# Currently informational only -- see http://www.ros.org/reps/rep-0149.html#dependency-tags.
ROS_TEST_DEPENDS = " \
    rosunit \
"

DEPENDS = "${ROS_BUILD_DEPENDS} ${ROS_BUILDTOOL_DEPENDS}"
# Bitbake doesn't support the "export" concept, so build them as if we needed them to build this package (even though we actually
# don't) so that they're guaranteed to have been staged should this package appear in another's DEPENDS.
DEPENDS += "${ROS_EXPORT_DEPENDS} ${ROS_BUILDTOOL_EXPORT_DEPENDS}"

RDEPENDS:${PN} += "${ROS_EXEC_DEPENDS}"

# matches with: https://github.com/ros-gbp/navigation-release/archive/release/noetic/navfn/1.17.1-1.tar.gz
ROS_BRANCH ?= "branch=release/noetic/navfn"
SRC_URI = "git://github.com/ros-gbp/navigation-release;${ROS_BRANCH};protocol=https"
SRCREV = "ab2abbab1199d7ebdc2208f37e9d29b10cbd7e93"
S = "${WORKDIR}/git"

ROS_BUILD_TYPE = "catkin"

inherit ros_${ROS_BUILD_TYPE}
